//*****************************************
// Six IN-17 Clock2 Program ATmega64(64pin)
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
// File Name:port_bit.h
//  wb_[t@C
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//*****************************************


// XCb`|[g
#define	SW_PORT			PINB					// switch (SW1)

// XCb`rbg
#define	SW1_ON_BIT		(1 << PINB3)			// set switch

// XCb`P̑ԁiWrbgj
#define			SW1_ON_NOW			0x01		// XCb`PꂽB
#define			SW1_OFF_SHORT		0x02		// XCb`PꂽBĂԂ͒Z
#define			SW1_OFF_LONG		0x04		// XCb`PꂽBĂԂ͒
#define			SW1_ON_CONTINUE		0x08		// XCb`PꑱĂBi莞ԊԊuł̒lxoj
#define			SW1_ON				0x10		// XCb`PꑱĂBiĂ鎞͂̒loj
#define			SW1_MASK			0x1f		// XCb`P̐M𒊏o


// kdc
//  PD4(RED), PD5(BLU) LED(H=ON, L=OFF)
#define	led_ds_init()	DDRD |= ((1 << DDD4) | (1 << DDD5))		// Port-D Bit4,5 : Output
#define	led_ds2_on()	PORTD |=  (1 << PD4)					// LED DS2 ON
#define	led_ds2_off()	PORTD &= ~(1 << PD4)					// LED DS2_OFF
#define	led_ds3_on()	PORTD |=  (1 << PD5)					// LED DS3 ON
#define	led_ds3_off()	PORTD &= ~(1 << PD5)					// LED DS3_OFF

//  ---------- 8x8 dot ---------
#define	led_dsp_init()	(DDRB |= ((1 << DDB2) | (1 << DDB3)))	// Port-B Bit2,3 : Output
#define	led1_on()		(PORTB |=  (1 << PB2))					// High:ON
#define	led1_off()		(PORTB &= ~(1 << PB2))					// Low:OFF
#define	led1_toggle()	(PORTB ^=  (1 << PB2))					// Toggle
#define	led2_on()		(PORTB |=  (1 << PB3))					// High:ON
#define	led2_off()		(PORTB &= ~(1 << PB3))					// Low:OFF
#define	led2_toggle()	(PORTB ^=  (1 << PB3))					// Toggle

extern	void			get_sw(void);
extern	void			sw_init(void);
extern	unsigned char	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_sw_off(void);

